<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'assignsubmission_vwttext', language 'en'
 *
 * @package   assignsubmission_vwttext
 * @copyright 2023 Bokomaru Publications
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['apierror'] = 'Error during API call to URL: {$a->url}, response: {$a->error} (HTTP status: {$a->httpstatus})';
$string['apierrormessage'] = 'Error during API call: {$a}';
$string['automatedevaluation'] = 'Automated evaluation';
$string['cachedef_essays'] = 'VWT essay types';
$string['cachedef_tasks'] = 'VWT essay tasks';
$string['cachedef_questions'] = 'VWT questions';
$string['copydescription'] = 'Copy description';
$string['default'] = 'Enabled by default';
$string['default_help'] = 'If set, this submission method will be enabled by default for all new assignments.';
$string['enabled'] = 'VWT text';
$string['enabled_help'] = 'If enabled, student\'s online text submission will be automatically evaluated by Virtual Writing Tutor. Important: Online text submission type, and Feedback comments and VWT text feedback types must also be enabled.';
$string['evaluationselector'] = 'Evaluation selector';
$string['gettingevaluation'] = 'Getting evaluation...';
$string['gptzerokey'] = 'GPTZero API key';
$string['gptzerokeydesc'] = 'Your GPTZero API key, which is necessary to use the API. See how to get one at https://gptzero.stoplight.io/';
$string['gptzerourl'] = 'GPTZero URL';
$string['gptzerourldesc'] = 'GPTZero URL for API calls';
$string['vwttext'] = 'VWT text';
$string['missingvwtkey'] = 'Please enter your VWT API key on&nbsp;<a href="{$a}">the VWT text settings page</a>.';
$string['studentbutton'] = 'Student-accessible automated evaluation';
$string['vwtkey'] = 'VWT API key';
$string['vwtkeydesc'] = 'Please enter your API key. This API key is your unique identifier for sending text from VWT text assignment plugin to the <a href="https://virtualwritingtutor.com/" target="_blank">VirtualWritingTutor.com</a> for feedback and evaluation. If you do not have an API key, please visit  <a href="https://virtualwritingtutor.com/get-an-api-key/" target="_blank"> https://virtualwritingtutor.com/get-an-api-key</a>.';
$string['vwtbaseurl'] = 'VWT API base URL';
$string['vwtbaseurldesc'] = 'Base URL for VWT API calls';
$string['pluginname'] = 'VWT text';
